Package org.flowable.common.engine.api.scope

# Interface ScopeTypes

public interface ScopeTypes

Author:
  Joram Barrez, Filip Hrisafov

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APP`
  `static final String`
  `BPMN`
  `static final String`
  `BPMN_ASYNC_VARIABLES`
  `static final Collection<String>`
  `BPMN_DEPENDENT`
  `static final String`
  `BPMN_EXTERNAL_WORKER`
  `static final String`
  `BPMN_VARIABLE_AGGREGATION`
  `static final String`
  `CMMN`
  `static final String`
  `CMMN_ASYNC_VARIABLES`
  `static final Collection<String>`
  `CMMN_DEPENDENT`
  `static final String`
  `CMMN_EXTERNAL_WORKER`
  `static final String`
  `CMMN_VARIABLE_AGGREGATION`
  `static final String`
  `DMN`
  `static final String`
  `EVENT_REGISTRY`
  `static final String`
  `EXTERNAL_WORKER`
  `static final String`
  `FORM`
  `static final String`
  `PLAN_ITEM`
  `static final String`
  `TASK`

- ## Field Details

  - ### APP

    static final String APP
    See Also:
      - Constant Field Values

  - ### BPMN

    static final String BPMN
    See Also:
      - Constant Field Values

  - ### CMMN

    static final String CMMN
    See Also:
      - Constant Field Values

  - ### DMN

    static final String DMN
    See Also:
      - Constant Field Values

  - ### EVENT_REGISTRY

    static final String EVENT_REGISTRY
    See Also:
      - Constant Field Values

  - ### FORM

    static final String FORM
    See Also:
      - Constant Field Values

  - ### PLAN_ITEM

    static final String PLAN_ITEM
    See Also:
      - Constant Field Values

  - ### TASK

    static final String TASK
    See Also:
      - Constant Field Values

  - ### EXTERNAL_WORKER

    static final String EXTERNAL_WORKER
    See Also:
      - Constant Field Values

  - ### CMMN_ASYNC_VARIABLES

    static final String CMMN_ASYNC_VARIABLES
    See Also:
      - Constant Field Values

  - ### BPMN_ASYNC_VARIABLES

    static final String BPMN_ASYNC_VARIABLES
    See Also:
      - Constant Field Values

  - ### BPMN_VARIABLE_AGGREGATION

    static final String BPMN_VARIABLE_AGGREGATION
    See Also:
      - Constant Field Values

  - ### CMMN_VARIABLE_AGGREGATION

    static final String CMMN_VARIABLE_AGGREGATION
    See Also:
      - Constant Field Values

  - ### CMMN_EXTERNAL_WORKER

    static final String CMMN_EXTERNAL_WORKER
    See Also:
      - Constant Field Values

  - ### BPMN_EXTERNAL_WORKER

    static final String BPMN_EXTERNAL_WORKER
    See Also:
      - Constant Field Values

  - ### CMMN_DEPENDENT

    static final Collection<String> CMMN_DEPENDENT

  - ### BPMN_DEPENDENT

    static final Collection<String> BPMN_DEPENDENT